Vulnerabilidad de Cross-Site Scripting en Nortel SSL VPN

SeguridadVirus

Se ha anunciado la existencia de una vulnerabilidad en Nortel SSL VPN que puede ser empleada por usuarios remotos para construir ataques de cross-site scripting.

Nortel SSL VPN es una solución de seguridad destinada a proporcionar conectividad y acceso remoto a través de Internet mediante el uso de SSL (Secure Sockets Layer).

El problema reside en el interfaz web incluido, debido a que no valida adecuadamente los datos suministrados por los usuarios. De tal forma, que un usuario remoto podrá crear una URL maliciosa que cuando sea cargada por el usuario atacado provocará la ejecución de comandos arbitrarios por su navegador.

El código se originará desde el sitio que ejecute el software servidor SSL VPN y se ejecutará el contexto de seguridad de dicho sitio. Como resultado, el código tendrá acceso a las cookies del usuario asociadas con el sitio (incluidas las de autenticación), acceder a datos introducidos por el usuario en formularios del sitio, o llevar a cabo acciones en el sitio como si fuera el usuario atacado.

Nortel ha publicado una corrección como parte de la versión de mantenimiento 5.1.5 del Gateway VPN.

Leer la biografía del autor  Ocultar la biografía del autor